P-SeriesOpening

Differences between revisions 1 and 8 (spanning 7 versions)
Revision 1 as of 2011-10-05 14:54:39
Size: 913
Editor: doko
Comment:
Revision 8 as of 2011-10-11 20:46:37
Size: 1302
Editor: micahg
Comment: note that libjpeg62 needs an update as well for the libjpeg switch
Deletions are marked like this. Additions are marked like this.
Line 13: Line 13:
 1. Merge dpkg, keep the compiler flags in the environment for the P-series. (proposed)  1. Merge dpkg, keep the compiler flags in the environment for the P-series. (set, Colin Watson)

 1. D
rop python2.6 as a supported python version (set, foundations team).
Line 17: Line 19:
 1. Merge cdbs (set, Martin Pitt; prepared, ready for upload)

 1. Merge debhelper (set, Martin Pitt; prepared, ready for upload)
Line 19: Line 25:
 1. jpeg8. Start with libjpeg-dev provided by jpeg8 (proposed).  1. jpeg8/jpeg62. Start with libjpeg-dev provided by jpeg8 (proposed).
Line 27: Line 33:
 1. Don't sync libraries from unstable which are just converted to multiarch; these conversions may cause build breakage, which is not yet fixed in unstable.

List of uploads which should (and should not) happen at the start of the P-Series release cycle. This is in addition to the opening process for a new release as described in NewReleaseCycleProcess.

Packages to upload

  1. Toolchain updates (minor, update to the binutils 2.22 branch and the GCC 4.6 branch, Linaro update). (set, foundations team)
  2. autotools updates (set, foundations team).
  3. Update linux-libc-dev (set, kernel team)
  4. Merge dpkg, keep the compiler flags in the environment for the P-series. (set, Colin Watson)
  5. Drop python2.6 as a supported python version (set, foundations team).
  6. Bump swig from version 1.3 to version 2.0 (available in Debian unstable). (proposed)
  7. Merge cdbs (set, Martin Pitt; prepared, ready for upload)
  8. Merge debhelper (set, Martin Pitt; prepared, ready for upload)

Library packages to upload

  1. jpeg8/jpeg62. Start with libjpeg-dev provided by jpeg8 (proposed).

Things to avoid

  1. perl-5.14 (not yet in Debian). (proposed).

Library updates to avoid

  1. Don't sync libraries from unstable which are just converted to multiarch; these conversions may cause build breakage, which is not yet fixed in unstable.
  2. don't bump boost beyond 1.46.x

P-SeriesOpening (last edited 2011-10-14 08:23:41 by pitti)